summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-19 05:07:22 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-19 05:07:22 +0000
commit4bb8d545b392837f29747c0154ba4d25c13edc00 (patch)
treeecc0b6cf09ec9b39a2ea1ca8f3e76e2b7c80a81c /jenkins
parent3165f2fb35ab62641f7e3d4a56ee40c6f62da09e (diff)
onsuccess: #802: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1182
-rw-r--r--jenkins/notify-init.log343
-rw-r--r--jenkins/run-build.env6
4 files changed, 1469 insertions, 64 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index c542224..7d1a86d 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#801-glibc-R1
+#802-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 03865fa..2685e29 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -21,22 +21,22 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-aarch64
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/800/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/800/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -76,17 +76,78 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xdae3cf4134d476a4b4ef86fd7012231d6436c15e '!=' xdae3cf4134d476a4b4ef86fd7012231d6436c15e ']'
+++ '[' xf11a92993c45a91c3237733486ce2b8735af2ba0 '!=' xdae3cf4134d476a4b4ef86fd7012231d6436c15e ']'
+++ echo -ne glibc
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=glibc
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ first_bad=f11a92993c45a91c3237733486ce2b8735af2ba0
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ last_good=dae3cf4134d476a4b4ef86fd7012231d6436c15e
++ local res
++ res=0
++ wait 58963
++ git -C glibc rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p glibc
++ set -euf -o pipefail
++ local c=glibc
++ local base_rev cur_rev sha1
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=dae3cf4134d476a4b4ef86fd7012231d6436c15e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=f11a92993c45a91c3237733486ce2b8735af2ba0
+++ git -C glibc rev-parse 'f11a92993c45a91c3237733486ce2b8735af2ba0^@'
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' dae3cf4134d476a4b4ef86fd7012231d6436c15e = dae3cf4134d476a4b4ef86fd7012231d6436c15e ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=no_change :
-
-+ '[' 0 = 0 ']'
-+ change_kind=no_change
-+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=no_change : '
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=dae3cf4134d476a4b4ef86fd7012231d6436c15e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=f11a92993c45a91c3237733486ce2b8735af2ba0
+++ git -C glibc rev-list --count dae3cf4134d476a4b4ef86fd7012231d6436c15e..f11a92993c45a91c3237733486ce2b8735af2ba0
+# rev for glibc : dae3cf4134d476a4b4ef86fd7012231d6436c15e..f11a92993c45a91c3237733486ce2b8735af2ba0 (1 commits)
+
++ c_commits=1
++ echo '# rev for glibc : dae3cf4134d476a4b4ef86fd7012231d6436c15e..f11a92993c45a91c3237733486ce2b8735af2ba0 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -113,8 +174,260 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 59043
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=ba4825c35
+++ '[' 0 -ne 0 ']'
+++ echo ba4825c35
++ sha1=ba4825c35
++ git -C interesting-commits checkout --detach ba4825c35
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ c6ef0fc48 Add entry f11a92993c45a91c3237733486ce2b8735af2ba0 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> c6ef0fc48
+
+HEAD is now at ba4825c35 Add entry 23725aa53bd264941c4fb228227736be4da59761 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m0_eabi-build/227/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ subdir3=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
++ subdir4=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0 ']'
++ mkdir -p interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url
++ mkdir -p interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo dae3cf4134d476a4b4ef86fd7012231d6436c15e
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f11a92993c45a91c3237733486ce2b8735af2ba0 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/'
+[detached HEAD e4bab9cd6] Add entry f11a92993c45a91c3237733486ce2b8735af2ba0 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/last_good
++ wait 71796
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -123,15 +436,577 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xno_change '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ isubdir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' no_change '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 71866
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=ba4825c35
+++ '[' 0 -ne 0 ']'
+++ echo ba4825c35
++ sha1=ba4825c35
++ git -C interesting-commits checkout --detach ba4825c35
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ e4bab9cd6 Add entry f11a92993c45a91c3237733486ce2b8735af2ba0 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> e4bab9cd6
+
+HEAD is now at ba4825c35 Add entry 23725aa53bd264941c4fb228227736be4da59761 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m0_eabi-build/227/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ subdir3=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
++ subdir4=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0 ']'
++ mkdir -p interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url
++ mkdir -p interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo dae3cf4134d476a4b4ef86fd7012231d6436c15e
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0 -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status-summary.txt
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status-summary.txt glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ return 0
++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/details.txt
++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/build_url
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status.txt
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status.txt ']'
++ echo '* tcwg_glibc_build'
++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc f11a92993c45a91c3237733486ce2b8735af2ba0 true
+++ local component=glibc
+++ local sha1=f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f11a92993c45a91c3237733486ce2b8735af2ba0
++ describe=glibc-2.38.9000-265-gf11a92993c
+++ echo glibc-2.38.9000-265-gf11a92993c
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-265-gf11a92993c
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-265-gf11a92993c'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.k79BDe9o6G
++ git -C glibc log -n1 f11a92993c45a91c3237733486ce2b8735af2ba0
++ tail -n +2
++ head -n 10 /tmp/tmp.k79BDe9o6G
+++ cat /tmp/tmp.k79BDe9o6G
+++ wc -l
++ more_lines=1
++ '[' 1 -gt 0 ']'
++ echo '... 1 lines of the commit log omitted.'
++ rm /tmp/tmp.k79BDe9o6G
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira
++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira ']'
++ mkdir interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f11a92993c45a91c3237733486ce2b8735af2ba0 true
++++ local component=glibc
++++ local sha1=f11a92993c45a91c3237733486ce2b8735af2ba0
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f11a92993c45a91c3237733486ce2b8735af2ba0
+++ describe=glibc-2.38.9000-265-gf11a92993c
++++ echo glibc-2.38.9000-265-gf11a92993c
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-265-gf11a92993c
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-265-gf11a92993c
+++ return 0
+++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status-summary.txt
++ echo glibc-2.38.9000-265-gf11a92993c: Success
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/summary
++ cat
+++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/commit-log.txt
+++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status.txt
+++ print_icommits_link glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/yaml
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso f11a92993c45a91c3237733486ce2b8735af2ba0
++ commit_date='2023-11-19 00:37:20 +0100'
++ date -d '2023-11-19 00:37:20 +0100' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira
+++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc f11a92993c45a91c3237733486ce2b8735af2ba0 false
+++ local component=glibc
+++ local sha1=f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f11a92993c45a91c3237733486ce2b8735af2ba0
++ describe=glibc-2.38.9000-265-gf11a92993c
++ '[' glibc-2.38.9000-265-gf11a92993c '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-265-gf11a92993c
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ rm -f interesting-commits/glibc/glibc-2.38.9000-265-gf11a92993c
++ ln -s sha1/f11a92993c45a91c3237733486ce2b8735af2ba0 interesting-commits/glibc/glibc-2.38.9000-265-gf11a92993c
++ git -C interesting-commits add glibc/glibc-2.38.9000-265-gf11a92993c
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f11a92993c45a91c3237733486ce2b8735af2ba0 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/'
+[detached HEAD 3cea706d3] Add entry f11a92993c45a91c3237733486ce2b8735af2ba0 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
+ 17 files changed, 84 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-265-gf11a92993c
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/commit-log.txt
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/components
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/description
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/startdate
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/summary
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status-summary.txt
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status.txt
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/details.txt
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/last_good
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status-summary.txt
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/status.txt
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status-summary.txt
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/status.txt
++ wait 84936
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -141,11 +1016,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xno_change '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ isubdir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ icommit_entry=interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ '[' interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0 '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira ']'
++ rsync -a interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -169,9 +1056,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -179,16 +1066,103 @@
+ set -euf -o pipefail
+ print_mail_recipients
+ set -euf -o pipefail
-+ local c=
++ local c=glibc
++ '[' glibc = '' ']'
++ local -A emails
++ emails["tcwg-validation@linaro.org"]=bcc
++ emails["author"]=cc
++ emails["committer"]=to
++ case "$ci_project/$ci_config:$c" in
++ emails["linaro-toolchain@lists.linaro.org"]=cc_postcommit
++ local c email base_rev cur_rev
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=dae3cf4134d476a4b4ef86fd7012231d6436c15e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=f11a92993c45a91c3237733486ce2b8735af2ba0
++ read -r email
+++ git -C glibc log --pretty=%ae dae3cf4134d476a4b4ef86fd7012231d6436c15e..f11a92993c45a91c3237733486ce2b8735af2ba0
++ emails["$email"]=cc
++ read -r email
++ local precommit_postcommit=postcommit
+ '[' '' = '' ']'
-+ echo bcc:tcwg-validation@linaro.org
-+ return 0
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=dae3cf4134d476a4b4ef86fd7012231d6436c15e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=f11a92993c45a91c3237733486ce2b8735af2ba0
++ read -r email
+++ git -C glibc log --pretty=%ce dae3cf4134d476a4b4ef86fd7012231d6436c15e..f11a92993c45a91c3237733486ce2b8735af2ba0
++ emails["$email"]=to
++ read -r email
++ unset 'emails[author]' 'emails[committer]'
++ local type
++ recipients=()
++ local -a recipients
++ for email in "${!emails[@]}"
++ type=cc_postcommit
++ case "$precommit_postcommit:$type" in
++ type=cc
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=bcc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=cc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ IFS=,
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,cc:flaviocruz@gmail.com,samuel.thibault@ens-lyon.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f11a92993c45a91c3237733486ce2b8735af2ba0 true
++++ local component=glibc
++++ local sha1=f11a92993c45a91c3237733486ce2b8735af2ba0
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f11a92993c45a91c3237733486ce2b8735af2ba0
+++ describe=glibc-2.38.9000-265-gf11a92993c
++++ echo glibc-2.38.9000-265-gf11a92993c
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-265-gf11a92993c
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-265-gf11a92993c
++ return 0
++ gnu_print_result --oneline
++ false
@@ -225,17 +1199,17 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' 'baseline build: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-265-gf11a92993c: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/800/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
@@ -261,8 +1235,41 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f11a92993c45a91c3237733486ce2b8735af2ba0 true
++++ local component=glibc
++++ local sha1=f11a92993c45a91c3237733486ce2b8735af2ba0
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f11a92993c45a91c3237733486ce2b8735af2ba0
+++ describe=glibc-2.38.9000-265-gf11a92993c
++++ echo glibc-2.38.9000-265-gf11a92993c
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-265-gf11a92993c
+++ '[' --short = --oneline ']'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-265-gf11a92993c'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.Ok3NGEWzVH
+++ git -C glibc log -n1 f11a92993c45a91c3237733486ce2b8735af2ba0
+++ tail -n +2
+++ head -n 10 /tmp/tmp.Ok3NGEWzVH
++++ cat /tmp/tmp.Ok3NGEWzVH
++++ wc -l
+++ more_lines=1
+++ '[' 1 -gt 0 ']'
+++ echo '... 1 lines of the commit log omitted.'
+++ rm /tmp/tmp.Ok3NGEWzVH
+++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
++ false
@@ -313,15 +1320,100 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build/master-aarch64'
-+ '[' no_change '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira
+++ '[' -f interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0 tcwg_glibc_build master-aarch64
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
+++ isubdir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f11a92993c45a91c3237733486ce2b8735af2ba0'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ isubdir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/status.txt
# generate dashboard
-+ echo '# generate dashboard'
-+ generate_dashboard_squad
# generate_dashboard_squad
... Skipping
# post_dashboard_squad
... Skipping
++ echo '# generate dashboard'
++ generate_dashboard_squad
+ local results_date
+ echo '# generate_dashboard_squad'
+ false
@@ -333,7 +1425,7 @@
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 46536
++ wait 85059
+ set -euf -o pipefail
# generate_lnt_report
+ echo '# generate_lnt_report'
@@ -343,8 +1435,8 @@
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -358,12 +1450,12 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
-Full stage ran successfully.
+ echo 'Full stage ran successfully.'
+Full stage ran successfully.
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 4a56cd0..acd228b 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -20,23 +20,23 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+# Debug traces :
+ ci_config=master-aarch64
+ echo '# Debug traces :'
-# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/800/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/800/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/801/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -76,17 +76,78 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xdae3cf4134d476a4b4ef86fd7012231d6436c15e '!=' xdae3cf4134d476a4b4ef86fd7012231d6436c15e ']'
+++ '[' xf11a92993c45a91c3237733486ce2b8735af2ba0 '!=' xdae3cf4134d476a4b4ef86fd7012231d6436c15e ']'
+++ echo -ne glibc
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=glibc
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ first_bad=f11a92993c45a91c3237733486ce2b8735af2ba0
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ last_good=dae3cf4134d476a4b4ef86fd7012231d6436c15e
++ local res
++ res=0
++ wait 46026
++ git -C glibc rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p glibc
++ set -euf -o pipefail
++ local c=glibc
++ local base_rev cur_rev sha1
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=dae3cf4134d476a4b4ef86fd7012231d6436c15e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=f11a92993c45a91c3237733486ce2b8735af2ba0
+++ git -C glibc rev-parse 'f11a92993c45a91c3237733486ce2b8735af2ba0^@'
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' dae3cf4134d476a4b4ef86fd7012231d6436c15e = dae3cf4134d476a4b4ef86fd7012231d6436c15e ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=no_change :
-
-+ '[' 0 = 0 ']'
-+ change_kind=no_change
-+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=no_change : '
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=dae3cf4134d476a4b4ef86fd7012231d6436c15e
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=f11a92993c45a91c3237733486ce2b8735af2ba0
+++ git -C glibc rev-list --count dae3cf4134d476a4b4ef86fd7012231d6436c15e..f11a92993c45a91c3237733486ce2b8735af2ba0
+# rev for glibc : dae3cf4134d476a4b4ef86fd7012231d6436c15e..f11a92993c45a91c3237733486ce2b8735af2ba0 (1 commits)
+
++ c_commits=1
++ echo '# rev for glibc : dae3cf4134d476a4b4ef86fd7012231d6436c15e..f11a92993c45a91c3237733486ce2b8735af2ba0 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -110,12 +171,264 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-+ echo '# post_interesting_commits'
# post_interesting_commits
++ echo '# post_interesting_commits'
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 46106
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=ba4825c35
+++ '[' 0 -ne 0 ']'
+++ echo ba4825c35
++ sha1=ba4825c35
++ git -C interesting-commits checkout --detach ba4825c35
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ c010c4614 Add entry 1e62d51f295be4f77185769907e22f36d6e39b3c from https://ci.linaro.org/job/tcwg_binutils_build--master-aarch64-build/439/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> c010c4614
+
+HEAD is now at ba4825c35 Add entry 23725aa53bd264941c4fb228227736be4da59761 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m0_eabi-build/227/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ jira_dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ subdir3=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
++ subdir4=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ interesting_subdir glibc f11a92993c45a91c3237733486ce2b8735af2ba0 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0 ']'
++ mkdir -p interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url
++ mkdir -p interesting-commits/glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo dae3cf4134d476a4b4ef86fd7012231d6436c15e
++ git -C interesting-commits add glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/last_good
+ '[' init '!=' full ']'
++ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f11a92993c45a91c3237733486ce2b8735af2ba0 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/'
+[detached HEAD c6ef0fc48] Add entry f11a92993c45a91c3237733486ce2b8735af2ba0 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/802/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/first_url
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f11a92993c45a91c3237733486ce2b8735af2ba0/tcwg_glibc_build/master-aarch64/last_good
++ wait 58872
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
Init stage ran successfully.
++ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index cc9ec72..4ff3359 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#801"
+build_name="#802"
docker_opts=(--distro
default
--arch
@@ -9,7 +9,7 @@ tcwg-jade-06
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#801-glibc"
+build_name="#802-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#801-glibc-R1"
+build_name="#802-glibc-R1"